Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

pdo_oci

Discussion in 'General Discussion' started by mariot, Mar 22, 2008.

  1. mariot

    mariot Member

    Joined:
    Aug 11, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    51
    Hi to all

    I try install pdo_oci and oci8

    I update apache with enable PDO

    Wen I go WHM -> Software -> Module Installers -> Pecl and start install pdo_oci or oci8 I get this error

    pear/PDO_OCI requires PHP extension "pdo" (version >= 1.0)
    No valid packages found
    install failed
    The PDO_OCI.so object is not in /usr/local/lib/php/extensions/no-debug-non-zts-20060613

    shell :
    cd /usr/local/lib/php/extensions/no-debug-non-zts-20060613

    eaccelerator.so* pdo.so* pdo_sqlite.so*
    ../ error_log sqlite.so*

    Have server with redhat 5.1 cpanel 11 apache 2.0 php 5.2.5 mysql

    Please help

    Tnx !
     

    Attached Files:

  2. mariot

    mariot Member

    Joined:
    Aug 11, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    51
    php -m

    update :)

    root@ns php -m [PHP Modules]
    bcmath
    calendar
    ctype
    curl
    date
    dom
    eAccelerator
    filter
    ftp
    gd
    gettext
    hash
    iconv
    imap
    ionCube Loader
    json
    libxml
    mysql
    openssl
    pcre
    PDO
    pdo_sqlite
    posix
    Reflection
    session
    SimpleXML
    soap
    sockets
    SPL
    SQLite
    standard
    tokenizer
    xml
    xmlreader
    xmlrpc
    xmlwriter
    xsl
    Zend Optimizer
    zip
    zlib

    [Zend Modules]
    Zend Extension Manager
    Zend Optimizer
    the ionCube PHP Loader
     
  3. mariot

    mariot Member

    Joined:
    Aug 11, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    51
    have a nobody ideas ??
     
    #3 mariot, Mar 24, 2008
    Last edited: Mar 24, 2008
  4. Pda0

    Pda0 Well-Known Member

    Joined:
    Jun 13, 2003
    Messages:
    70
    Likes Received:
    0
    Trophy Points:
    156
    I also wonder why PDO is "unsupported experimental" on build apache (and unchecked per default), but looks like its built-in on php (php -m shows PDO is installed on my host too whithout me ever selecting it)

    .pd
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice